Get Postgres CA certs
This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.
Download CA certificates for a PostgreSQL service
GET
/
v1
/
organizations
/
{organizationId}
/
postgres
/
{postgresId}
/
caCertificates
Get Postgres CA certs
curl --request GET \
--url https://api.clickhouse.cloud/v1/organizations/{organizationId}/postgres/{postgresId}/caCertificates \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/postgres/{postgresId}/caCertificates"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/postgres/{postgresId}/caCertificates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"status": 400,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": 500,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Beta
This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.
Download CA certificates for a PostgreSQL service
Download CA certificates for a PostgreSQL service
Authorizations
Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi
Path Parameters
ID of the organization that owns the Postgres service.
ID of the requested Postgres service.
Response
Successful response
The response is of type string.
Last modified on July 9, 2026
Was this page helpful?
⌘I
Get Postgres CA certs
